<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Caja;
use App\Models\CajaIndependiente;
use App\Models\Cuadre;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class CajaIndependienteController extends Controller
{
    
    public function index()
    {


       

       
        $data = CajaIndependiente::all();

        $cuadres = Cuadre::orderBy('created_at', 'ASC')->get();

        $t_entradas = 0;
        $t_salidas = 0;
        $t_efectivo = 0;
        $t_tarjeta = 0;
        $t_deposito = 0;
        $t_trans = 0;
        $t_cheque = 0;
        $t_otros = 0;
        $t_faltante = 0;
        $totalMes = 0;

        foreach ($cuadres as $cau) {
            $t_entradas += $cau->entrada;
            $t_salidas += $cau->salida;
            $t_efectivo += $cau->totalEfectico;
            $t_tarjeta += $cau->totalVisas;
            $t_deposito += $cau->deposito;
            $t_trans += $cau->transferencia;
            $t_cheque += $cau->cheque;
            $t_otros += $cau->otros;
            $t_faltante += $cau->faltante;
            $totalMes += $cau->cuadre;
        }



        return view('admin.cajaindependiente.index', compact(
            'data',
           
            't_entradas',
            't_salidas',
            't_efectivo',
            't_tarjeta',
            't_deposito',
            't_trans',
            't_cheque',
            't_otros',
            't_faltante',
            'totalMes'
        ));
    }


    public function store(Request $request)
    {
        // dd($request->all());
        CajaIndependiente::create($request->all());


        if ($request->tipo_s === 'TARJETA' && $request->tipo === 'SALIDA') {
            $c = new CajaIndependiente();
            $c->descripcion = 'PAGO DE TARJETA';
            $c->tipo = 'SALIDA';
            $c->valor = $request->valor * 0.05;
            $c->tipo_s = 'DEPOSITO';
            $c->save();
        }


        if ($request->afect && $request->tipo === 'SALIDA') {
            $caja = new Caja();
            $caja->valor =  $request->valor;
            $caja->descripcion = $request->descripcion;
            $caja->operacion = 's';
            $caja->factura = 'NO FACTURA';
            $caja->tipo = $request->tipo_g;
            $caja->fecha = date('Y-m-d');
            $caja->user_id = Auth::user()->id;
            $caja->save();
        }


        return back()->with(['info' => 'Dato de caja asignado con exito', 'color' => 'success']);
    }

    public function show($id)
    {
        $data = CajaIndependiente::findOrFail($id);
        return view('admin.cajaindependiente.show', ['data' => $data]);
    }

    public function update(Request $request, $id)
    {
        CajaIndependiente::findOrFail($id)->update($request->all());
        return back()->with(['info' => 'dato actualizado con exito', 'color' => 'success']);
    }

    public function destroy($id)
    {
        CajaIndependiente::findOrFail($id)->delete();
        return back()->with(['info' => 'dato eliminado', 'color' => 'success']);
    }

    // guarda una nota
    public function store_nota(Request $request)
    {

        // NotaCajaIndependiente::find($request->id)->update($request->all());
        return back()->with(['info' => 'NOTA ACTUALIZADA', 'color' => 'success']);
    }

}
