<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\CudareCaja;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class CudareCajaController extends Controller
{
    public function index()
    {
        $data = CudareCaja::all();
        return view('admin.caudrecaja.index', compact('data'));
    }

    public function store(Request $request)
    {
        $caja = new CudareCaja();

        $caja->descripcion = $request->descripcion .  'Usuario: ' . Auth::user()->name;
        $caja->valor = $request->valor;
        $caja->tipo = $request->tipo;
        $caja->save();


        return back()->with(['info' => 'Dato de CUADRE asignado con exito', 'color' => 'success']);
    }

    public function show($id)
    {
        $data = CudareCaja::findOrFail($id);
        return view('admin.caudrecaja.show', ['data' => $data]);
    }



    public function update(Request $request, $id)
    {
        CudareCaja::findOrFail($id)->update($request->all());
        return back()->with(['info' => 'dato actualizado con exito', 'color' => 'success']);
    }

    public function destroy($id)
    {
        CudareCaja::findOrFail($id)->delete();
        return back()->with(['info' => 'dato eliminado', 'color' => 'success']);
    }
}
