@extends('layouts.auth')

@section('content')
<div class="wrapper wrapper-login">
    <div class="container container-login animated fadeIn" style="margin-top: -25%;">
        <h3 class="text-center">INICIO DE SESION</h3>
        <form method="POST" action="{{ route('login') }}">
            @csrf
            <div class="login-form">
                <div class="form-group form-floating-label">
                    <label for="">E-mail</label>
                    <input id="username" type="email" class="form-control @error('email') is-invalid @enderror input-border-bottom" name="email" value="{{ old('email') }}" required autocomplete="email" id="username" autofocus>

                    @error('email')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                </div>
                <div class="form-group form-floating-label">
                    <label for="password">Contraseña</label>

                    <input id="password" type="password" class="form-control @error('password') is-invalid @enderror input-border-bottom" name="password" required autocomplete="current-password">

                    @error('password')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                    <div class="show-password">
                        <i class="flaticon-interface"></i>
                    </div>
                </div>
                <div class="row form-sub m-0">
                    @if (Route::has('password.request'))
                    <a class="btn btn-link" href="{{ route('password.request') }}">
                        {{ __('¿OLVIDASTE TU CONTRASEÑA?') }}
                    </a>
                    @endif
                </div>
                <div class="form-action mb-3">

                    <button type="submit" class="btn btn-primary btn-rounded btn-login">INICIAR</button>

                </div>
            </div>
        </form>

    </div>
</div>
@endsection