<?php $__env->startSection('content'); ?>

<div class="container-fluid">
   <div class="d-flex justify-content-around ">
      <div class="shadow p-3 mb-5 bg-light rounded">
         CUADRES DE CAJA
      </div>
      <div>
         <!-- Button trigger modal -->
         <button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#modelId">
            NUEVO REGISTRO
         </button>

         <!-- Modal -->
         <div class="modal fade" id="modelId" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
            <div class="modal-dialog" role="document">
               <div class="modal-content">
                  <div class="modal-header">
                     <h5 class="modal-title">REGISTRO DE CUADRE DE CAJA</h5>
                     <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                     </button>
                  </div>
                  <form action="<?php echo e(route('cuac.store')); ?>" method="post">
                     <?php echo csrf_field(); ?>
                     <?php echo method_field('POST'); ?>
                     <div class="modal-body">

                        <div class="form-group">
                           <label for="">TIPO</label>
                           <select class="form-control" name="tipo">
                              <option value="ENTRADA">ENTRADA</option>
                              <option value="SALIDA">SALIDA</option>
                           </select>
                        </div>

                        <div class="form-group">
                           <label for="valor">VALOR</label>
                           <input type="number" step="any" class="form-control" name="valor" placeholder="VALOR DE CAJA">
                        </div>

                        <div class="form-group">
                           <label for="valor">DESCRIPCION</label>
                           <input type="text" class="form-control" name="descripcion" placeholder="DESCRPICION DE CAJA">
                        </div>
                     </div>
                     <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary"><i class="fas fa-save"></i> GUARDAR</button>
                     </div>
                  </form>
               </div>
            </div>
         </div>
      </div>
   </div>
   <div class="row">
      <div class="col-md-9">

         <div class="card">
            <div class="card-body">

               <div class="table-responsive">
                  <table class="table">
                     <thead>
                        <tr>
                           <th>Tipo</th>
                           <th>Descripcion</th>
                           <th>Valor</th>
                           <th>Fecha</th>
                           <th></th>
                        </tr>
                     </thead>
                     <tbody>
                        <?php
                        $t_e=0;
                        $t_s=0;
                        ?>
                        <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $d): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                        if ($d->tipo === 'ENTRADA') {
                        $t_e += $d->valor;
                        }
                        if ($d->tipo === 'SALIDA') {
                        $t_s += $d->valor;
                        }
                        ?>
                        <tr>
                           <td><?php echo e($d->tipo); ?></td>
                           <td><?php echo e($d->descripcion); ?></td>
                           <td><?php echo e($d->valor); ?></td>
                           <td><?php echo e($d->created_at); ?></td>
                           <td>
                              <form action="<?php echo e(route('cuac.destroy', ['id' => $d->id])); ?>" method="post">
                                 <?php echo csrf_field(); ?>
                                 <?php echo method_field('DELETE'); ?>
                                 <a class="btn btn-primary" href="<?php echo e(route('cuac.show', ['id' => $d->id])); ?>" method="post"><i class="fas fa-edit    "></i></a>
                                 <button type="submit" onclick="return confirm('Estas Seguro de Eliminar?')" class="btn btn-warning"><i class="fa fa-trash" aria-hidden="true"></i></button>
                              </form>
                           </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                     </tbody>
                  </table>
               </div>

            </div>
         </div>


      </div>

      <div class="col-md-3">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">TOTAL ENTRADAS: Q. <?php echo e(number_format($t_e, 2)); ?> </h4>
            </div>
         </div>

         <div class="card">
            <div class="card-body">
               <h4 class="card-title">TOTAL SALIDAS: Q. <?php echo e(number_format($t_s, 2)); ?> </h4>
            </div>
         </div>
      </div>
   </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dev/Escritorio/php/Farmacia-Democraia/resources/views/admin/caudrecaja/index.blade.php ENDPATH**/ ?>