<!-- Sidebar -->
<div class="sidebar">

    <div class="sidebar-background"></div>
    <div class="sidebar-wrapper scrollbar-inner">
        <div class="sidebar-content">
            <div class="user">
                <div class="avatar-sm float-left mr-2">
                    <img src="https://ui-avatars.com/api/?name=<?php echo e(Auth::user()->name); ?>" alt="..." class="avatar-img rounded-circle">
                </div>
                <div class="info">
                    <a data-toggle="collapse" href="#collapseExample" aria-expanded="true">
                        <span>
                            <?php echo e(Auth::user()->name); ?>

                            <span class="user-level"><?php echo e(Auth::user()->role->title); ?></span>
                            <span class="caret"></span>
                        </span>
                    </a>
                    <div class="clearfix"></div>

                    <div class="collapse in" id="collapseExample">
                        <ul class="nav">
                            <li>
                                <a href="#profile">
                                    <span class="link-collapse">PERFIL</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <ul class="nav">

                <!-- dashboard-->
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('admin_panel_access')): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('home')); ?>">
                        <i class="fa fa-home" aria-hidden="true"></i>
                        <span class="sub-item">INICIO</span>
                    </a>
                </li>
                <?php endif; ?>
                <!-- end dashboard -->

                <li class="nav-section">
                    <span class="sidebar-mini-icon">
                        <i class="fa fa-ellipsis-h"></i>
                    </span>
                    <h4 class="text-section">ARTICULOS</h4>
                </li>

                <!-- articulos -->
                <li class="nav-item">
                    <a data-toggle="collapse" href="#MEDICAMENTOS">
                        <i class="fa fa-medkit" aria-hidden="true"></i>
                        <p>ARTICULOS</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="MEDICAMENTOS">
                        <ul class="nav nav-collapse">

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('articulos_listado')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('articulo.index')); ?>">
                                    <i class="fa fa-file-alt"></i>
                                    <span class="hide-menu">Articulos</span>
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('articulos_store')): ?>
                            <li class="">
                                <a class=" " href="<?php echo e(route('articulo.nuevo')); ?>">
                                    <i class="fa fa-star" aria-hidden="true"></i>
                                    <span class="hide-menu">Nuevo Articulo</span>
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('articulos_min_stock')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('articulo.stock')); ?>">
                                    <i class="fa fa-folder"></i>
                                    Control de Stock
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('articulos_compra_store')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('articulo.comprar')); ?>">
                                    <i class="fa fa-cart-plus"></i>
                                    Comprar Articulos
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('articulos_historial')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('articulo.comprarHisto')); ?>">
                                    <i class="fa fa-history"></i>
                                    Historial de Compras
                                </a>
                            </li>
                            <?php endif; ?>

                            <li class="">
                                <a class="" href="<?php echo e(route('catalogo.index')); ?>">
                                    <i class="fa fa-ellipsis-v"></i>
                                    Articulos En Oferta
                                </a>
                            </li>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('articulos_catalogo_report')): ?>
                            <li>
                                <a class="" href="<?php echo e(route('articulo.catalogo')); ?>">
                                    <i class="fa fa-info"></i>
                                    Ofertas
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('articulos_report_all')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('articulo.repotes')); ?>">
                                    <i class="fa fa-book"></i>
                                    Reportes
                                </a>
                            </li>
                            <?php endif; ?>


                        </ul>
                    </div>
                </li>
                <!-- end articulo -->


                <!-- categorias -->
                <li class="nav-item">
                    <a data-toggle="collapse" href="#CATEGORIAS">
                        <i class="fa fa-tags" aria-hidden="true"></i>
                        <p>CATEGORIAS</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="CATEGORIAS">
                        <ul class="nav nav-collapse">

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('categoria_list')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('categoria.index')); ?>">
                                    <i class="fa fa-ellipsis-h"></i>
                                    Categorias
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('categoria_create')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('categoria.create')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Registrar Categorias
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('categoria_report')): ?>
                            <li class="">
                                <a class="" target="_blank" href="<?php echo e(route('categoria.reporte')); ?>">
                                    <i class="fa fa-book"></i>
                                    Reportes
                                </a>
                            </li>
                            <?php endif; ?>

                        </ul>
                    </div>
                </li>
                <!-- end categorias -->

                <!-- proveedores -->
                <li class="nav-item">
                    <a data-toggle="collapse" href="#PROVEEDORES">
                        <i class="fa fa-chalkboard-teacher    "></i>
                        <p>PROVEEDORES</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="PROVEEDORES">
                        <ul class="nav nav-collapse">

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('proveedor_list')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('prove.index')); ?>">
                                    <i class="fa fa-ellipsis-h"></i>
                                    Proveedores
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('proveedor_all')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('prove.create')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Registrar Proveedor
                                </a>
                            </li>

                            <li class="">
                                <a class="" target="_blank" href="<?php echo e(route('prove.reporte')); ?>">
                                    <i class="fa fa-book"></i>
                                    Reportes
                                </a>
                            </li>
                            <?php endif; ?>

                        </ul>
                    </div>
                </li>
                <!-- end proveedores -->

                <li class="nav-section">
                    <span class="sidebar-mini-icon">
                        <i class="fa fa-ellipsis-h"></i>
                    </span>
                    <h4 class="text-section">VENTAS</h4>
                </li>

                <!-- VENTAS -->
                <li class="nav-item">
                    <a data-toggle="collapse" href="#VENTAS">
                        <i class="fa fa-shopping-bag" aria-hidden="true"></i>
                        <p>VENTAS</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="VENTAS">
                        <ul class="nav nav-collapse">

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('venta_inicio')): ?>
                            <li class="">
                                <a class="" target="_blank" href="<?php echo e(route('venta.index')); ?>">
                                    <i class="fa fa-shopping-cart"></i>
                                    Vender
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('venta_historial')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('venta.historial')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Historial de Ventas
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('venta_reports')): ?>
                            <li class="">
                                <a class="" href="<?php echo e(route('venta.reportes')); ?>">
                                    <i class="fa fa-book"></i>
                                    Reportes
                                </a>
                            </li>
                            <?php endif; ?>

                        </ul>
                    </div>
                </li>
                <!-- end VENTAS -->

                <!-- COTIZACION -->
                <li class="nav-item">
                    <a data-toggle="collapse" href="#COTIZACION">
                        <i class="fa fa-sticky-note" aria-hidden="true"></i>
                        <p>COTIZACION</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="COTIZACION">
                        <ul class="nav nav-collapse">


                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('coti.list')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Cotizaciones
                                </a>
                            </li>

                            <li class="">
                                <a target="_blank" class="dropdown-item" href="<?php echo e(route('coti.index')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Cotizar
                                </a>
                            </li>

                        </ul>
                    </div>
                </li>
                <!-- end COTIZACION -->

                <!-- Sugerencias -->
                <li class="nav-item">
                    <a data-toggle="collapse" href="#Sugerencias">
                        <i class="fas fa-stream    "></i>
                        <p>SUGERENCIAS</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="Sugerencias">
                        <ul class="nav nav-collapse">


                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('suge.index')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Sugerencias
                                </a>
                            </li>

                        </ul>
                    </div>
                </li>
                <!-- end COTIZACION -->


                <!-- FACTUIRAS -->
                <li class="nav-item">
                    <a data-toggle="collapse" href="#FACTURA">
                        <i class="fa fa-envelope-open" aria-hidden="true"></i>
                        <p>FACTURA</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="FACTURA">
                        <ul class="nav nav-collapse">
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('factura.index')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Hoy
                                </a>
                            </li>

                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('factura.filtrados')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Filtradas
                                </a>
                            </li>

                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('factura.reportes')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Reportes
                                </a>
                            </li>


                        </ul>
                    </div>
                </li>
                <!-- tracking -->


                <li class="nav-section">
                    <span class="sidebar-mini-icon">
                        <i class="fa fa-ellipsis-h"></i>
                    </span>
                    <h4 class="text-section">COMERCIAL</h4>
                </li>

                <!-- CAJA -->
                <li class="nav-item">
                    <a data-toggle="collapse" href="#CAJA">
                        <i class="fas fa-cash-register"></i>
                        <p>CAJA</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="CAJA">
                        <ul class="nav nav-collapse">

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('caja_independiente')): ?>
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('cajai.index')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Caja Independiente
                                </a>
                            </li>
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('cuac.index')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Caja Fuerte
                                </a>
                            </li>
                            <?php endif; ?>

                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('caja.entradas')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Caja Chica
                                </a>
                            </li>

                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('caja.salidas')); ?>">
                                    <i class="fa fa-minus"></i>
                                    Gastos
                                </a>
                            </li>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('caja_cuadre')): ?>
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('caja.cuadre')); ?>">
                                    <i class="fa fa-calculator"></i>
                                    Cuadre De Caja
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['caja_filtrado_cajachica', 'caja_filtrado_gastos', 'caja_movimientos_filtrados', 'caja_movimientos_dia' ])): ?>
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('caja.movimientos')); ?>">
                                    <i class="fa fa-list-alt"></i>
                                    Reportes
                                </a>
                            </li>
                            <?php endif; ?>

                        </ul>
                    </div>
                </li>
                <!-- end CAJA -->

                <!-- CLIENTES -->

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('clientes_all')): ?>
                <li class="nav-item">
                    <a data-toggle="collapse" href="#CLIENTE">
                        <i class="fa fa-user-tag    "></i>
                        <p>CLIENTES</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="CLIENTE">
                        <ul class="nav nav-collapse">
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('cliente.index')); ?>">
                                    <i class="fa fa-user"></i>
                                    Clientes
                                </a>
                            </li>

                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('cliente.deudores')); ?>">
                                    <i class="fa fa-credit-card"></i>
                                    Deudores
                                </a>
                            </li>
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('cliente.create')); ?>">
                                    <i class="fa fa-plus"></i>
                                    Registrar Cliente
                                </a>
                            </li>
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('cliente.reportes')); ?>">
                                    <i class="fa fa-book"></i>
                                    Reportes
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>
                <?php endif; ?>

                <!-- PAQUETES -->
                <li class="nav-item">
                    <a data-toggle="collapse" href="#PAQUETES">
                        <i class="fas fa-box-open    "></i>
                        <p>PAQUETES</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="PAQUETES">
                        <ul class="nav nav-collapse">
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('tra.name')); ?>">
                                    <i class="fa fa-edit    "></i>
                                    Tracking's
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>
                <!-- end PAQUETES -->


                <!-- graficas -->
                <li class="nav-item">
                    <a data-toggle="collapse" href="#graficas">
                        <i class="fa fa-bars" aria-hidden="true"></i>
                        <p>GRAFICAS</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="graficas">
                        <ul class="nav nav-collapse">
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('tra.name')); ?>">
                                    <i class="fa fa-edit    "></i>
                                    Tracking's
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>
                <!-- end graficas -->



                <!-- <li class="nav-section">
                    <span class="sidebar-mini-icon">
                        <i class="fa fa-ellipsis-h"></i>
                    </span>
                    <h4 class="text-section">DeCoDev</h4>
                </li> -->

                <!-- PAQUETES -->
                <!-- <li class="nav-item">
                    <a data-toggle="collapse" href="#proyecots">
                        <i class="fas fa-box-open    "></i>
                        <p>Proyectos</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="proyecots">
                        <ul class="nav nav-collapse">
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('proyectos.index')); ?>">
                                    <i class="fa fa-edit    "></i>
                                    Listado
                                </a>
                            </li>
                            <li class="">
                                <a class="dropdown-item" href="<?php echo e(route('proyectos.create')); ?>">
                                    <i class="fa fa-edit    "></i>
                                    Nuevo
                                </a>
                            </li>
                        </ul>
                    </div>
                </li> -->
                <!-- end PAQUETES -->


                <li class="nav-section">
                    <span class="sidebar-mini-icon">
                        <i class="fa fa-ellipsis-h"></i>
                    </span>
                    <h4 class="text-section">USUARIOS</h4>
                </li>


                <!-- user -->
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['users_access','roles_access','permissions_access'])): ?>
                <li class="nav-item">
                    <a data-toggle="collapse" href="#USUARIO">
                        <i class="fas fa-user-nurse"></i>
                        <p>USUARIOS</p>
                        <span class="caret"></span>
                    </a>
                    <div class="collapse" id="USUARIO">
                        <ul class="nav nav-collapse">

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('users_access')): ?>
                            <li class="">
                                <a class="sidebar-link waves-effect waves-dark  <?php if(request()->is('/users') || request()->is('/users/*')): ?> is_active <?php endif; ?>" href="<?php echo e(route('users.index')); ?>" aria-expanded="false">
                                    <span class="sub-item">Users</span>
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('roles_access')): ?>
                            <li class="">
                                <a class="sidebar-link waves-effect waves-dark  <?php if(request()->is('/roles') || request()->is('/roles/*')): ?> is_active <?php endif; ?>" href="<?php echo e(route('roles.index')); ?>" aria-expanded="false">
                                    <span class="sub-item">Roles</span>
                                </a>
                            </li>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('permissions_access')): ?>
                            <!-- <li class="">
                  <a class="sidebar-link waves-effect waves-dark  <?php if(request()->is('/permissions') || request()->is('/permissions/*')): ?> is_active <?php endif; ?>" href="<?php echo e(route('permissions.index')); ?>" aria-expanded="false">
                     <span class="sub-item">Permissions</span>
                  </a>
               </li> -->
                            <?php endif; ?>





                        </ul>
                    </div>
                </li>
                <?php endif; ?>
                <!-- en user -->

            </ul>
        </div>
    </div>
</div>
<!-- End Sidebar --><?php /**PATH /home/dev/Escritorio/php/Farmacia-Democraia/resources/views/partial/admin/navbar.blade.php ENDPATH**/ ?>